BP.factory("Endecode", ["$resource",function($resource) {
    var res = $resource(
        "/endecode/server", {
            _id:"@_id"
        }, {
            query:{
                url:"/endecode/server/query",
                method:"GET",
                isArray: true
            },
            delete:{
                url: "/endecode/server/delete",
                method:"GET"
            },
            save:{
                url:"/endecode/server/save",
                method:"POST"
            }
        }
    );
    return res;
}
]);
